import { CurrencyAmount } from "./entities/fractions/currencyAmount";
import { LimitOrder } from "./order";
export declare class FillLimitOrder {
    readonly order: LimitOrder;
    readonly path: string[];
    readonly minimumAmoutOutExternal: CurrencyAmount;
    readonly amountToFill: CurrencyAmount;
    readonly limitOrderReceiver: string;
    readonly to: string;
    readonly tokenIn: string;
    readonly tokenOut: string;
    readonly limitOrderReceiverData: string;
    constructor(order: LimitOrder, pair: string[], minimumAmoutOutExternal: CurrencyAmount, amountToFill: CurrencyAmount, limitOrderReceiver: string, to: string);
}
